package com.dsk.cscec.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.DCustomer;
import com.dsk.cscec.domain.bo.CustomerInfoBo;
import com.dsk.cscec.domain.bo.DCustomerSearchBo;
import com.dsk.cscec.domain.vo.CertificateVo;
import com.dsk.cscec.domain.vo.CustomerInfoVo;
import com.dsk.cscec.domain.vo.DCustomerListVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 组织维表(DCustomer)表数据库访问层
 *
 * @author lcl
 * @since 2023-12-08 14:57:27
 */
public interface DCustomerMapper extends BaseMapper<DCustomer> {

    Page<DCustomerListVo> allSearchList(IPage<DCustomerSearchBo> build, @Param("bo") DCustomerSearchBo bo);

    /**
     * 分类查询供应商列表
     * @param build
     * @param bo
     * @return
     */
    Page<CustomerInfoVo> queryListByType(IPage<CustomerInfoBo> build, @Param("bo") CustomerInfoBo bo);

    List<CertificateVo> selectBusinessLicense(String customerId);

    List<CertificateVo> selectOrgCertificate(String customerId);

    List<CertificateVo> selectTaxCertificate(String customerId);

    List<CertificateVo> selectQualificationCertificate(String customerId);

    List<CertificateVo> selectSafetyCertificate(String customerId);

    List<CertificateVo> selectRatepayerCertificate(String customerId);

    List<CertificateVo> selectPerformanceCertificate(String customerId);

    List<CertificateVo> selectInspectionCertificate(String customerId);

    List<CertificateVo> selectOtherCertificate(String customerId);

    //获取所有供应商的企业名称列表
    List<String> allSearchCompanyNameList();
}

